unit schRecibosClienteServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, schRecibosClienteClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_InformeReciboClienteDelta = '{5BD348A2-75C6-49F5-93A2-3CB5B8367C69}';
  RID_RecibosClienteDelta = '{595278B5-C02E-4BBC-BC75-A6EDD9E684B7}';

type
  { IInformeReciboClienteDelta }
  IInformeReciboClienteDelta = interface(IInformeReciboCliente)
  ['{5BD348A2-75C6-49F5-93A2-3CB5B8367C69}']
    { Property getters and setters }
    function GetOldCODIGOValue : Integer;
    function GetOldFECHAALTAValue : DateTime;
    function GetOldUSUARIOValue : String;
    function GetOldFECHARECIBOValue : DateTime;
    function GetOldIMPORTEValue : Float;
    function GetOldTEXTOValue : IROStrings;
    function GetOldCODIGOCONTACTOValue : Integer;
    function GetOldNIFCIFValue : String;
    function GetOldNOMBREValue : String;
    function GetOldCALLEValue : String;
    function GetOldPROVINCIAValue : String;
    function GetOldCODIGOPOSTALValue : String;
    function GetOldPOBLACIONValue : String;
    function GetOldCODIGOOBRAValue : Integer;

    { Properties }
    property OldCODIGO : Integer read GetOldCODIGOValue;
    property OldFECHAALTA : DateTime read GetOldFECHAALTAValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldFECHARECIBO : DateTime read GetOldFECHARECIBOValue;
    property OldIMPORTE : Float read GetOldIMPORTEValue;
    property OldTEXTO : IROStrings read GetOldTEXTOValue;
    property OldCODIGOCONTACTO : Integer read GetOldCODIGOCONTACTOValue;
    property OldNIFCIF : String read GetOldNIFCIFValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldCALLE : String read GetOldCALLEValue;
    property OldPROVINCIA : String read GetOldPROVINCIAValue;
    property OldCODIGOPOSTAL : String read GetOldCODIGOPOSTALValue;
    property OldPOBLACION : String read GetOldPOBLACIONValue;
    property OldCODIGOOBRA : Integer read GetOldCODIGOOBRAValue;
  end;

  { TInformeReciboClienteBusinessProcessorRules }
  TInformeReciboClienteBusinessProcessorRules = class(TDABusinessProcessorRules, IInformeReciboCliente, IInformeReciboClienteDelta)
  private
  protected
    { Property getters and setters }
    function GetCODIGOValue: Integer; virtual;
    function GetOldCODIGOValue: Integer; virtual;
    procedure SetCODIGOValue(const aValue: Integer); virtual;
    function GetFECHAALTAValue: DateTime; virtual;
    function GetOldFECHAALTAValue: DateTime; virtual;
    procedure SetFECHAALTAValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetFECHARECIBOValue: DateTime; virtual;
    function GetOldFECHARECIBOValue: DateTime; virtual;
    procedure SetFECHARECIBOValue(const aValue: DateTime); virtual;
    function GetIMPORTEValue: Float; virtual;
    function GetOldIMPORTEValue: Float; virtual;
    procedure SetIMPORTEValue(const aValue: Float); virtual;
    function GetTEXTOValue: IROStrings; virtual;
    function GetOldTEXTOValue: IROStrings; virtual;
    procedure SetTEXTOValue(const aValue: IROStrings); virtual;
    function GetCODIGOCONTACTOValue: Integer; virtual;
    function GetOldCODIGOCONTACTOValue: Integer; virtual;
    procedure SetCODIGOCONTACTOValue(const aValue: Integer); virtual;
    function GetNIFCIFValue: String; virtual;
    function GetOldNIFCIFValue: String; virtual;
    procedure SetNIFCIFValue(const aValue: String); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetCALLEValue: String; virtual;
    function GetOldCALLEValue: String; virtual;
    procedure SetCALLEValue(const aValue: String); virtual;
    function GetPROVINCIAValue: String; virtual;
    function GetOldPROVINCIAValue: String; virtual;
    procedure SetPROVINCIAValue(const aValue: String); virtual;
    function GetCODIGOPOSTALValue: String; virtual;
    function GetOldCODIGOPOSTALValue: String; virtual;
    procedure SetCODIGOPOSTALValue(const aValue: String); virtual;
    function GetPOBLACIONValue: String; virtual;
    function GetOldPOBLACIONValue: String; virtual;
    procedure SetPOBLACIONValue(const aValue: String); virtual;
    function GetCODIGOOBRAValue: Integer; virtual;
    function GetOldCODIGOOBRAValue: Integer; virtual;
    procedure SetCODIGOOBRAValue(const aValue: Integer); virtual;

    { Properties }
    property CODIGO : Integer read GetCODIGOValue write SetCODIGOValue;
    property OldCODIGO : Integer read GetOldCODIGOValue;
    property FECHAALTA : DateTime read GetFECHAALTAValue write SetFECHAALTAValue;
    property OldFECHAALTA : DateTime read GetOldFECHAALTAValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property FECHARECIBO : DateTime read GetFECHARECIBOValue write SetFECHARECIBOValue;
    property OldFECHARECIBO : DateTime read GetOldFECHARECIBOValue;
    property IMPORTE : Float read GetIMPORTEValue write SetIMPORTEValue;
    property OldIMPORTE : Float read GetOldIMPORTEValue;
    property TEXTO : IROStrings read GetTEXTOValue write SetTEXTOValue;
    property OldTEXTO : IROStrings read GetOldTEXTOValue;
    property CODIGOCONTACTO : Integer read GetCODIGOCONTACTOValue write SetCODIGOCONTACTOValue;
    property OldCODIGOCONTACTO : Integer read GetOldCODIGOCONTACTOValue;
    property NIFCIF : String read GetNIFCIFValue write SetNIFCIFValue;
    property OldNIFCIF : String read GetOldNIFCIFValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property CALLE : String read GetCALLEValue write SetCALLEValue;
    property OldCALLE : String read GetOldCALLEValue;
    property PROVINCIA : String read GetPROVINCIAValue write SetPROVINCIAValue;
    property OldPROVINCIA : String read GetOldPROVINCIAValue;
    property CODIGOPOSTAL : String read GetCODIGOPOSTALValue write SetCODIGOPOSTALValue;
    property OldCODIGOPOSTAL : String read GetOldCODIGOPOSTALValue;
    property POBLACION : String read GetPOBLACIONValue write SetPOBLACIONValue;
    property OldPOBLACION : String read GetOldPOBLACIONValue;
    property CODIGOOBRA : Integer read GetCODIGOOBRAValue write SetCODIGOOBRAValue;
    property OldCODIGOOBRA : Integer read GetOldCODIGOOBRAValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IRecibosClienteDelta }
  IRecibosClienteDelta = interface(IRecibosCliente)
  ['{595278B5-C02E-4BBC-BC75-A6EDD9E684B7}']
    { Property getters and setters }
    function GetOldCODIGOValue : Integer;
    function GetOldFECHAALTAValue : DateTime;
    function GetOldUSUARIOValue : String;
    function GetOldFECHARECIBOValue : DateTime;
    function GetOldIMPORTEValue : Currency;
    function GetOldTEXTOValue : IROStrings;
    function GetOldCODIGOCONTACTOValue : Integer;
    function GetOldNIFCIFValue : String;
    function GetOldNOMBREValue : String;
    function GetOldCALLEValue : String;
    function GetOldPROVINCIAValue : String;
    function GetOldCODIGOPOSTALValue : String;
    function GetOldPOBLACIONValue : String;
    function GetOldCODIGOOBRAValue : Integer;

    { Properties }
    property OldCODIGO : Integer read GetOldCODIGOValue;
    property OldFECHAALTA : DateTime read GetOldFECHAALTAValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldFECHARECIBO : DateTime read GetOldFECHARECIBOValue;
    property OldIMPORTE : Currency read GetOldIMPORTEValue;
    property OldTEXTO : IROStrings read GetOldTEXTOValue;
    property OldCODIGOCONTACTO : Integer read GetOldCODIGOCONTACTOValue;
    property OldNIFCIF : String read GetOldNIFCIFValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldCALLE : String read GetOldCALLEValue;
    property OldPROVINCIA : String read GetOldPROVINCIAValue;
    property OldCODIGOPOSTAL : String read GetOldCODIGOPOSTALValue;
    property OldPOBLACION : String read GetOldPOBLACIONValue;
    property OldCODIGOOBRA : Integer read GetOldCODIGOOBRAValue;
  end;

  { TRecibosClienteBusinessProcessorRules }
  TRecibosClienteBusinessProcessorRules = class(TDABusinessProcessorRules, IRecibosCliente, IRecibosClienteDelta)
  private
  protected
    { Property getters and setters }
    function GetCODIGOValue: Integer; virtual;
    function GetOldCODIGOValue: Integer; virtual;
    procedure SetCODIGOValue(const aValue: Integer); virtual;
    function GetFECHAALTAValue: DateTime; virtual;
    function GetOldFECHAALTAValue: DateTime; virtual;
    procedure SetFECHAALTAValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetFECHARECIBOValue: DateTime; virtual;
    function GetOldFECHARECIBOValue: DateTime; virtual;
    procedure SetFECHARECIBOValue(const aValue: DateTime); virtual;
    function GetIMPORTEValue: Currency; virtual;
    function GetOldIMPORTEValue: Currency; virtual;
    procedure SetIMPORTEValue(const aValue: Currency); virtual;
    function GetTEXTOValue: IROStrings; virtual;
    function GetOldTEXTOValue: IROStrings; virtual;
    procedure SetTEXTOValue(const aValue: IROStrings); virtual;
    function GetCODIGOCONTACTOValue: Integer; virtual;
    function GetOldCODIGOCONTACTOValue: Integer; virtual;
    procedure SetCODIGOCONTACTOValue(const aValue: Integer); virtual;
    function GetNIFCIFValue: String; virtual;
    function GetOldNIFCIFValue: String; virtual;
    procedure SetNIFCIFValue(const aValue: String); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetCALLEValue: String; virtual;
    function GetOldCALLEValue: String; virtual;
    procedure SetCALLEValue(const aValue: String); virtual;
    function GetPROVINCIAValue: String; virtual;
    function GetOldPROVINCIAValue: String; virtual;
    procedure SetPROVINCIAValue(const aValue: String); virtual;
    function GetCODIGOPOSTALValue: String; virtual;
    function GetOldCODIGOPOSTALValue: String; virtual;
    procedure SetCODIGOPOSTALValue(const aValue: String); virtual;
    function GetPOBLACIONValue: String; virtual;
    function GetOldPOBLACIONValue: String; virtual;
    procedure SetPOBLACIONValue(const aValue: String); virtual;
    function GetCODIGOOBRAValue: Integer; virtual;
    function GetOldCODIGOOBRAValue: Integer; virtual;
    procedure SetCODIGOOBRAValue(const aValue: Integer); virtual;

    { Properties }
    property CODIGO : Integer read GetCODIGOValue write SetCODIGOValue;
    property OldCODIGO : Integer read GetOldCODIGOValue;
    property FECHAALTA : DateTime read GetFECHAALTAValue write SetFECHAALTAValue;
    property OldFECHAALTA : DateTime read GetOldFECHAALTAValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property FECHARECIBO : DateTime read GetFECHARECIBOValue write SetFECHARECIBOValue;
    property OldFECHARECIBO : DateTime read GetOldFECHARECIBOValue;
    property IMPORTE : Currency read GetIMPORTEValue write SetIMPORTEValue;
    property OldIMPORTE : Currency read GetOldIMPORTEValue;
    property TEXTO : IROStrings read GetTEXTOValue write SetTEXTOValue;
    property OldTEXTO : IROStrings read GetOldTEXTOValue;
    property CODIGOCONTACTO : Integer read GetCODIGOCONTACTOValue write SetCODIGOCONTACTOValue;
    property OldCODIGOCONTACTO : Integer read GetOldCODIGOCONTACTOValue;
    property NIFCIF : String read GetNIFCIFValue write SetNIFCIFValue;
    property OldNIFCIF : String read GetOldNIFCIFValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property CALLE : String read GetCALLEValue write SetCALLEValue;
    property OldCALLE : String read GetOldCALLEValue;
    property PROVINCIA : String read GetPROVINCIAValue write SetPROVINCIAValue;
    property OldPROVINCIA : String read GetOldPROVINCIAValue;
    property CODIGOPOSTAL : String read GetCODIGOPOSTALValue write SetCODIGOPOSTALValue;
    property OldCODIGOPOSTAL : String read GetOldCODIGOPOSTALValue;
    property POBLACION : String read GetPOBLACIONValue write SetPOBLACIONValue;
    property OldPOBLACION : String read GetOldPOBLACIONValue;
    property CODIGOOBRA : Integer read GetCODIGOOBRAValue write SetCODIGOOBRAValue;
    property OldCODIGOOBRA : Integer read GetOldCODIGOOBRAValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers;

{ TInformeReciboClienteBusinessProcessorRules }
constructor TInformeReciboClienteBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TInformeReciboClienteBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TInformeReciboClienteBusinessProcessorRules.GetCODIGOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteCODIGO];
end;

function TInformeReciboClienteBusinessProcessorRules.GetOldCODIGOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeReciboClienteCODIGO];
end;

procedure TInformeReciboClienteBusinessProcessorRules.SetCODIGOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteCODIGO] := aValue;
end;

function TInformeReciboClienteBusinessProcessorRules.GetFECHAALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteFECHAALTA];
end;

function TInformeReciboClienteBusinessProcessorRules.GetOldFECHAALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeReciboClienteFECHAALTA];
end;

procedure TInformeReciboClienteBusinessProcessorRules.SetFECHAALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteFECHAALTA] := aValue;
end;

function TInformeReciboClienteBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteUSUARIO];
end;

function TInformeReciboClienteBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeReciboClienteUSUARIO];
end;

procedure TInformeReciboClienteBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteUSUARIO] := aValue;
end;

function TInformeReciboClienteBusinessProcessorRules.GetFECHARECIBOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteFECHARECIBO];
end;

function TInformeReciboClienteBusinessProcessorRules.GetOldFECHARECIBOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeReciboClienteFECHARECIBO];
end;

procedure TInformeReciboClienteBusinessProcessorRules.SetFECHARECIBOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteFECHARECIBO] := aValue;
end;

function TInformeReciboClienteBusinessProcessorRules.GetIMPORTEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteIMPORTE];
end;

function TInformeReciboClienteBusinessProcessorRules.GetOldIMPORTEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeReciboClienteIMPORTE];
end;

procedure TInformeReciboClienteBusinessProcessorRules.SetIMPORTEValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteIMPORTE] := aValue;
end;

function TInformeReciboClienteBusinessProcessorRules.GetTEXTOValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteTEXTO];
end;

function TInformeReciboClienteBusinessProcessorRules.GetOldTEXTOValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeReciboClienteTEXTO];
end;

procedure TInformeReciboClienteBusinessProcessorRules.SetTEXTOValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteTEXTO] := aValue.Text;
end;

function TInformeReciboClienteBusinessProcessorRules.GetCODIGOCONTACTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteCODIGOCONTACTO];
end;

function TInformeReciboClienteBusinessProcessorRules.GetOldCODIGOCONTACTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeReciboClienteCODIGOCONTACTO];
end;

procedure TInformeReciboClienteBusinessProcessorRules.SetCODIGOCONTACTOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteCODIGOCONTACTO] := aValue;
end;

function TInformeReciboClienteBusinessProcessorRules.GetNIFCIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteNIFCIF];
end;

function TInformeReciboClienteBusinessProcessorRules.GetOldNIFCIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeReciboClienteNIFCIF];
end;

procedure TInformeReciboClienteBusinessProcessorRules.SetNIFCIFValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteNIFCIF] := aValue;
end;

function TInformeReciboClienteBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteNOMBRE];
end;

function TInformeReciboClienteBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeReciboClienteNOMBRE];
end;

procedure TInformeReciboClienteBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteNOMBRE] := aValue;
end;

function TInformeReciboClienteBusinessProcessorRules.GetCALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteCALLE];
end;

function TInformeReciboClienteBusinessProcessorRules.GetOldCALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeReciboClienteCALLE];
end;

procedure TInformeReciboClienteBusinessProcessorRules.SetCALLEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteCALLE] := aValue;
end;

function TInformeReciboClienteBusinessProcessorRules.GetPROVINCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClientePROVINCIA];
end;

function TInformeReciboClienteBusinessProcessorRules.GetOldPROVINCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeReciboClientePROVINCIA];
end;

procedure TInformeReciboClienteBusinessProcessorRules.SetPROVINCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClientePROVINCIA] := aValue;
end;

function TInformeReciboClienteBusinessProcessorRules.GetCODIGOPOSTALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteCODIGOPOSTAL];
end;

function TInformeReciboClienteBusinessProcessorRules.GetOldCODIGOPOSTALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeReciboClienteCODIGOPOSTAL];
end;

procedure TInformeReciboClienteBusinessProcessorRules.SetCODIGOPOSTALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteCODIGOPOSTAL] := aValue;
end;

function TInformeReciboClienteBusinessProcessorRules.GetPOBLACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClientePOBLACION];
end;

function TInformeReciboClienteBusinessProcessorRules.GetOldPOBLACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeReciboClientePOBLACION];
end;

procedure TInformeReciboClienteBusinessProcessorRules.SetPOBLACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClientePOBLACION] := aValue;
end;

function TInformeReciboClienteBusinessProcessorRules.GetCODIGOOBRAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteCODIGOOBRA];
end;

function TInformeReciboClienteBusinessProcessorRules.GetOldCODIGOOBRAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeReciboClienteCODIGOOBRA];
end;

procedure TInformeReciboClienteBusinessProcessorRules.SetCODIGOOBRAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeReciboClienteCODIGOOBRA] := aValue;
end;


{ TRecibosClienteBusinessProcessorRules }
constructor TRecibosClienteBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TRecibosClienteBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TRecibosClienteBusinessProcessorRules.GetCODIGOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteCODIGO];
end;

function TRecibosClienteBusinessProcessorRules.GetOldCODIGOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteCODIGO];
end;

procedure TRecibosClienteBusinessProcessorRules.SetCODIGOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteCODIGO] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetFECHAALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteFECHAALTA];
end;

function TRecibosClienteBusinessProcessorRules.GetOldFECHAALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteFECHAALTA];
end;

procedure TRecibosClienteBusinessProcessorRules.SetFECHAALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteFECHAALTA] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteUSUARIO];
end;

function TRecibosClienteBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteUSUARIO];
end;

procedure TRecibosClienteBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteUSUARIO] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetFECHARECIBOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteFECHARECIBO];
end;

function TRecibosClienteBusinessProcessorRules.GetOldFECHARECIBOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteFECHARECIBO];
end;

procedure TRecibosClienteBusinessProcessorRules.SetFECHARECIBOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteFECHARECIBO] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetIMPORTEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteIMPORTE];
end;

function TRecibosClienteBusinessProcessorRules.GetOldIMPORTEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteIMPORTE];
end;

procedure TRecibosClienteBusinessProcessorRules.SetIMPORTEValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteIMPORTE] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetTEXTOValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteTEXTO];
end;

function TRecibosClienteBusinessProcessorRules.GetOldTEXTOValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteTEXTO];
end;

procedure TRecibosClienteBusinessProcessorRules.SetTEXTOValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteTEXTO] := aValue.Text;
end;

function TRecibosClienteBusinessProcessorRules.GetCODIGOCONTACTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteCODIGOCONTACTO];
end;

function TRecibosClienteBusinessProcessorRules.GetOldCODIGOCONTACTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteCODIGOCONTACTO];
end;

procedure TRecibosClienteBusinessProcessorRules.SetCODIGOCONTACTOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteCODIGOCONTACTO] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetNIFCIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteNIFCIF];
end;

function TRecibosClienteBusinessProcessorRules.GetOldNIFCIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteNIFCIF];
end;

procedure TRecibosClienteBusinessProcessorRules.SetNIFCIFValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteNIFCIF] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteNOMBRE];
end;

function TRecibosClienteBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteNOMBRE];
end;

procedure TRecibosClienteBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteNOMBRE] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetCALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteCALLE];
end;

function TRecibosClienteBusinessProcessorRules.GetOldCALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteCALLE];
end;

procedure TRecibosClienteBusinessProcessorRules.SetCALLEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteCALLE] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetPROVINCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClientePROVINCIA];
end;

function TRecibosClienteBusinessProcessorRules.GetOldPROVINCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClientePROVINCIA];
end;

procedure TRecibosClienteBusinessProcessorRules.SetPROVINCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClientePROVINCIA] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetCODIGOPOSTALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteCODIGOPOSTAL];
end;

function TRecibosClienteBusinessProcessorRules.GetOldCODIGOPOSTALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteCODIGOPOSTAL];
end;

procedure TRecibosClienteBusinessProcessorRules.SetCODIGOPOSTALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteCODIGOPOSTAL] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetPOBLACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClientePOBLACION];
end;

function TRecibosClienteBusinessProcessorRules.GetOldPOBLACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClientePOBLACION];
end;

procedure TRecibosClienteBusinessProcessorRules.SetPOBLACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClientePOBLACION] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetCODIGOOBRAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteCODIGOOBRA];
end;

function TRecibosClienteBusinessProcessorRules.GetOldCODIGOOBRAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteCODIGOOBRA];
end;

procedure TRecibosClienteBusinessProcessorRules.SetCODIGOOBRAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteCODIGOOBRA] := aValue;
end;


initialization
  RegisterBusinessProcessorRules(RID_InformeReciboClienteDelta, TInformeReciboClienteBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_RecibosClienteDelta, TRecibosClienteBusinessProcessorRules);

end.
